<link rel="import" href="../../bower_components/polymer/polymer-element.html">
<link rel="import" href="../my-emenu/my-emenu.html">

<dom-module id="my-app-polymer-app">
  <template>
    <style>
      :host {
        display: block;
      }
    </style>
    <h2>Hello [[prop1]]!</h2>
    <my-emenu></my-emenu>
  </template>

  <script>
    /**
     * @customElement
     * @polymer
     */
    class MyAppPolymerApp extends Polymer.Element {
      static get is() { return 'my-app-polymer-app'; }
      static get properties() {
        return {
          prop1: {
            type: String,
            value: 'my-app-polymer-app'
          }
        };
      }
    }

    window.customElements.define(MyAppPolymerApp.is, MyAppPolymerApp);
  </script>
</dom-module>
